Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class TimingSpecifierListParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.TimingParser
              org.apache.batik.parser.TimingSpecifierParser
                  org.apache.batik.parser.TimingSpecifierListParser

All Implemented Interfaces:
  Localizable, Parser

    public class TimingSpecifierListParser

extends TimingSpecifierParser

This class implements an event-based parser for SMIL timing specifier list values.

Field Summary

Fields inherited from class org.apache.batik.parser.TimingSpecifierParser
`timingSpecifierHandler`

Fields inherited from class org.apache.batik.parser.TimingParser
`TIME_ACCESSKEY, TIME_ACCESSKEY_SVG12, TIME_EVENTBASE, TIME_INDEFINITE, TIME_MEDIA_MARKER, TIME_OFFSET, TIME_REPEAT, TIME_SYNCBASE, TIME_WALLCLOCK, useSVG11AccessKeys, useSVG12AccessKeys`

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`TimingSpecifierListParser(boolean useSVG11AccessKeys, boolean useSVG12AccessKeys)` Creates a new TimingSpecifierListParser.

Method Summary
`protected void` | `doParse()` Parses a timing specifier list.
`TimingSpecifierListHandler` | `getTimingSpecifierListHandler()` Returns the parse event handler in use.
`void` | `setTimingSpecifierListHandler(TimingSpecifierListHandler handler)` Registers a parse event handler.

Methods inherited from class org.apache.batik.parser.TimingSpecifierParser
`getTimingSpecifierHandler, handleTimingSpecifier, setTimingSpecifierHandler`

Methods inherited from class org.apache.batik.parser.TimingParser
`parseClockValue, parseDigits, parseFraction, parseIDValue, parseName, parseOffset, parseTimingSpecifier, parseUnit, parseWallclockValue`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimingSpecifierListParser

    public TimingSpecifierListParser(boolean useSVG11AccessKeys,
                                     boolean useSVG12AccessKeys)

  Creates a new TimingSpecifierListParser.

  Parameters:
    `useSVG11AccessKeys` - allows the use of accessKey() timing specifiers with a single character
    `useSVG12AccessKeys` - allows the use of accessKey() with a DOM 3 key name

Method Detail

### setTimingSpecifierListHandler

    public void setTimingSpecifierListHandler(TimingSpecifierListHandler handler)

  Registers a parse event handler.

### getTimingSpecifierListHandler

    public TimingSpecifierListHandler getTimingSpecifierListHandler()

  Returns the parse event handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Parses a timing specifier list.

  Overrides:
    `doParse` in class `TimingSpecifierParser`
  Throws:
    `ParseException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.